@import "./../../variables.scss";

.window-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    background-color: $window-background-color;
    min-height: 200px;
    min-width: 100px;
    padding: 1px;
    z-index: 1;
    border-top: 2px solid $border-top-color;
    border-left: 2px solid $border-top-color;
    border-bottom: 2px solid $border-bottom-color;
    border-right: 2px solid $border-bottom-color;
    .options-list {
        display: flex;
        justify-content: flex-start;
        button {
            background: $window-background-color;
            outline: none;
            border: 0;
            border-radius: 0;
            padding: 1px 3px;
            margin: 1px;
            font-size: 13px;
        }

        button:active {
            color: #fff;
            background-color: $window-background-active-color;
        }
    }
    .header {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        height: 19px;
        padding-left: 2px;
        // width: 100%;
        // margin: 1px;
        .icon {
            height: 100%;
            margin: 1px;
        }
        .title {
            font-size: 13px;
            font-weight: 600;
            color: #fff;
            letter-spacing: .5px;
            pointer-events: none;
            -moz-user-select: none;
            -ms-user-select: none;
            -o-user-select: none;
            -webkit-user-select: none;
        }
        .button-list {
            display: flex;
            align-items: center;
            button {
                display: flex;
                align-items: center;
                justify-content: center;
                width: 16px;
                height: 14px;
                background-color: $window-background-color;
                border-radius: 0;
                border: 0;
                outline: none;
                margin-left: 1px;
                border-top: 1.5px solid $border-top-color;
                border-left: 1.5px solid $border-top-color;
                border-bottom: 1.5px solid $border-bottom-color;
                border-right: 1.5px solid $border-bottom-color;
                img {
                    pointer-events: none;
                }
            }
            button:hover {
                background-color: #cfcfcf;
            }
            button:active {
                border-top: 1.5px solid $border-bottom-color;
                border-left: 1.5px solid $border-bottom-color;
                border-bottom: 1.5px solid $border-top-color;
                border-right: 1.5px solid $border-top-color;
            }
        }

        .button-list:last-child {
            margin-right: 2px;
            // margin-left: 4px;
        }
    }
    .header-0 {
        background-color: #7f7f7f;
    }
    .header-1{
        background-color: #00007f;
    }

    .content {

    }
}